#ifndef _AC_ECAL_IDEFINES_H_
#define _AC_ECAL_IDEFINES_H_


/* ******************************************************************
 *
 * I. Matchikhilian, S. Shuvalov
 *
 * changes:
 * 18 May 2000 (AG) creation on request of S. Shuvalov
 *
 * **************************************************************** */

/* defines */
#define N_IHIST 5956

#define ECAL_ihists_NTUPLE_NCOLUMNS 2

#define ECAL_ihists_NTUPLE_RULE(ID) ((MOD_AC<<28) | (COMP_ECAL<<24) | (LVL_HIT<<20 )| (ID) )

#define ECAL_ihists_EP_NTUPNUM 2000

#define ECAL_ihists_MIP_NTUPNUM 2001 

/***
    
    Default parameter values:

***/

#define ECAL_ihists_EPlow_default 0.2

#define ECAL_ihists_EPup_default 1.6
	    
#define ECAL_ihists_MIPlow_default 0.2

#define ECAL_ihists_MIPup_default 0.84

#define ECAL_ihists_et_cut_default 0.4

#define ECAL_ihists_pmip_cut_default 0.2

#define ECAL_ihists_ptrack_cut_default 0.05

#define ECAL_ihists_pttrack_cut_default 2

#define ECAL_ihists_ptrack_low_default 0.4

#define ECAL_ihists_a_ell_default 4

#define ECAL_ihists_ncells_betw_2cl_default 9

#define ECAL_ihists_ncells_betw_tr_cl_default 0.5

#define ECAL_ihists_isol_cut_default 0.5

#define ECAL_ihists_ztrack_cut_default 1300

#define ECAL_ihists_xmid_cut_default -30

#define ECAL_ihists_zcal_default 1343


#endif /*_AC_ECAL_IDEFINES_H_*/
