# ifndef _HBOOK_H
# define _HBOOK_H

/*-- prototyping for interfaced hbook routines --*/

void hlimit (int nspace);
void hbook1 (int id, char *title, int nbin, float xl, float xh);
void hbook2 (int id, char *title, int nbin1, float xl1, float xh1,
	     int nbin2, float xl2, float xh2);
void hbprof (int id, char *title, 
             int nbin1, float xl1, float xh1,
	                float xl2, float xh2, char * opt);
void hf1    (int id, float x, float weight);
void hf2    (int id, float x1, float x2, float weight);
void hfill  (int id, float x, float y, float weight);
void hrput  (int i, char * fn, char * md);
void hpak   (int id, float *data);
void hpake  (int id, float *data);
void hpakad (int id, float *data);
void hminim (int id, float val);
void hmaxim (int id, float val);
void hdelet (int id);
void hprint (int id);
int  hexist (int id);
void hfn    (int id, float arr[]);
void hbookn (int id, char * title, char * topdir, char tags[]);
void hopera (int id1, char * op, int id2, int id3, float scale1, float scale2);
void hproj1 (int idh, int idn, int ivar); 

# endif





