/* SkipRange class
   ------------------
   contains the number of elements to be skipped: unsigned int n;

   Can be read from/written to the iostream in the format skip n
   (or, e.g. sKIp10)
   */

// Author R.Mizuk (mizuk@mail.desy.de)                       (19.02.99).
// Slightly modified by V.Balagura (balagura@mail.desy.de)   (27.02.99).

#ifndef skip_range_h
#define skip_range_h 1

#include <iostream.h>

struct SkipRange { unsigned int n; };
istream& operator>> (istream& is,       SkipRange& ir);
ostream& operator<< (ostream& os, const SkipRange& ir);

#endif
