// 
//  Author:  Rainer Mankel                     Created:  29-May-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

#ifndef RANGER_MONITOR_HH
#define RANGER_MONITOR_HH

#include <map.h>
#include "rang/StatItem.hh"

class rangerDomWin;
class rangerDomLay;

class rangerMonitor {

public:
  rangerMonitor(){};
  ~rangerMonitor(){};

  void countDls(rangerDomLay* dl,const int flag);
  void output();

private:
  map<rangerDomWin*,rangerStatItem,less<rangerDomWin*> > winStat; 
};

#endif
