#include "etb.h"
#include "sltinfo.h"

int ARTE_get_feds_DSLT( int max, ETB_fed *feds, int *n );
void ARTE_put_feds_DSLT( ETB_fed *feds, int num,int size );

/* Read SLT information from DSLT bank */

SLTRC SLTReadDSLT()
{
  int rc;
  ETB_fed feds[MAX_SLT_FEDS];
  int num;

  rc=ARTE_get_feds_DSLT(MAX_SLT_FEDS, feds, &num );

  if (rc!=ETB_ok) return SLT_NODSLTBANK;
  return SLTReadEvent(feds,num);
}

SLTRC SLTPipeToDSLT()
{
  int rc,size,num;

  ETB_fed feds[MAX_SLT_FEDS];
  rc=SLTPipeFeds(MAX_SLT_FEDS, feds, &num,&size );

  if (rc!=ETB_ok) return SLT_NODSLTBANK;
  ARTE_put_feds_DSLT(feds,num,size);
  return SLT_OK;
}
