/* Created automatically by arte/ddtabl.F */

#include "arte/Arte.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int dftabl (int *link, char *name, int div, int col,
  int outcol, int extension, char *iofiles);
extern int dftabs (int *link, char *name, int div, int col,
  int outcol, int extension, int *link_sup, char *iofiles);
extern int dftabp (int *link, char *name, int div, int col,
  int outcol, int extension, int *link_sup, char *iofiles);
extern int dfrela (int *link, char *name, int div, int *tab1,
  int pos1, int *tab2, int pos2, int type);
extern int dfzebf_ (char *zebra_format);
extern int dfattb (char *name, int nbits);
extern int dfat0b (char *name);
extern int dfattc (char *name, int dim);
extern int dfattf (char *name, float lower, float upper,  float accuracy);
extern int dfat0f (char *name);
extern int dfatth (char *name, int dim);
extern int dfatti (char *name, int lower, int upper);
extern int dfat0i (char *name);
extern int dfattr (char *name);
extern int dfatts (char *name, int lower, int upper);
extern int dfat0s (char *name);
extern int dfattu (char *name, int nbits);
extern int dfat0u (char *name);
extern int dfaltb (char *name, int nbits);
extern int dfal0b (char *name);
extern int dfaltc (char *name, int dim);
extern int dfaltf (char *name, float lower, float upper,  float accuracy);
extern int dfal0f (char *name);
extern int dfalth (char *name, int dim);
extern int dfalti (char *name, int lower, int upper);
extern int dfal0i (char *name);
extern int dfaltr (char *name);
extern int dfalts (char *name, int lower, int upper);
extern int dfal0s (char *name);
extern int dfaltu (char *name, int nbits);
extern int dfal0u (char *name);
extern int dfattp (char *name, int *link);
void usautt_() {
 
/* ACGA global alignment constants */
 
  dftabl (&artelink_.jacga, "ACGA", 1, 17, 17, 5,
    "dbga acgain acgaout");
  dfzebf_("1I16F");
  dfat0i ("cmp");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dz");
  dfat0f ("dtx");
  dfat0f ("dty");
  dfat0f ("fz");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("z");
 
/* ACTR target alignment constants */
 
  dftabl (&artelink_.jactr, "ACTR", 1, 4, 4, 5,
    "dbtarget");
  dfzebf_("1I3F");
  dfat0i ("wire");
  dfat0f ("dr");
  dfat0f ("dz");
  dfat0f ("sin");
 
/* BEAM beam geometry */
 
  dftabs (&artelink_.jbeam, "BEAM", 1, 8, 8, 8, &artelink_.jgehd,
    "geomin geomout");
  dfzebf_("7F1I");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dt");
  dfat0f ("time");
  dfat0i ("tsw");
 
/* CDIM riCh: riCh Single Planar MIrror */
 
  dftabs (&artelink_.jcdim, "CDIM", 1, 26, 26, 5, &artelink_.jgehd,
    "geom");
  dfzebf_("20H2F4I");
  dfatth ("name",20);
  dfat0f ("rlos");
  dfat0f ("dens");
  dfat0i ("nabs");
  dfat0i ("iabs");
  dfat0i ("nref");
  dfat0i ("iref");
 
/* CEFF RICH: table with efficiencies */
 
  dftabs (&artelink_.jceff, "CEFF", 1, 1, 1, 1000, &artelink_.jgehd,
    "geom");
  dfzebf_("1F");
  dfat0f ("eff");
 
/* CLEN riCh LENse system */
 
  dftabs (&artelink_.jclen, "CLEN", 1, 5, 5, 5, &artelink_.jgehd,
    "geom");
  dfzebf_("5I");
  dfat0i ("id");
  dfat0i ("nwav");
  dfat0i ("iwav");
  dfat0i ("nang");
  dfat0i ("iang");
 
/* CPDW riCh: riCh Single Planar MIrror */
 
  dftabs (&artelink_.jcpdw, "CPDW", 1, 11, 11, 2, &artelink_.jgehd,
    "geom");
  dfzebf_("10F1I");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0f ("t");
  dfat0i ("imat");
 
/* CPMD RICH: properties of a certain Photomultiplier */
 
  dftabs (&artelink_.jcpmd, "CPMD", 1, 13, 13, 2000, &artelink_.jgehd,
    "geom");
  dfzebf_("8H5I");
  dfatth ("seno",4);
  dfatth ("type",4);
  dfat0i ("isup");
  dfat0i ("irow");
  dfat0i ("icol");
  dfat0i ("efv0");
  dfat0i ("lens");
 
/* CPMI riCh: riCh Planar MIrror */
 
  dftabs (&artelink_.jcpmi, "CPMI", 1, 3, 3, 0, &artelink_.jgehd,
    "geom");
  dfzebf_("1F2I");
  dfat0f ("rec");
  dfat0i ("nref");
  dfat0i ("iref");
 
/* CPMT RICH: definition of the properties of a pm type */
 
  dftabs (&artelink_.jcpmt, "CPMT", 1, 10, 10, 3, &artelink_.jgehd,
    "geom");
  dfzebf_("4H1I1F1I1F2I");
  dfatth ("type",4);
  dfat0i ("nx");
  dfat0f ("xdiv");
  dfat0i ("ny");
  dfat0f ("ydiv");
  dfat0i ("neff");
  dfat0i ("ieff");
 
/* CPOI */
 
  dftabs (&artelink_.jcpoi, "CPOI", 1, 2, 2, 1000, &artelink_.jgehd,
    "geom");
  dfzebf_("2F");
  dfat0f ("x");
  dfat0f ("x");
 
/* CSMI riCh: riCh Spherical MIrror */
 
  dftabs (&artelink_.jcsmi, "CSMI", 1, 9, 9, 0, &artelink_.jgehd,
    "geom");
  dfzebf_("7F2I");
  dfat0f ("ah");
  dfat0f ("ah0");
  dfat0f ("av");
  dfat0f ("av0");
  dfat0f ("r");
  dfat0f ("rpc");
  dfat0f ("rec");
  dfat0i ("nref");
  dfat0i ("iref");
 
/* CSPM riCh: riCh Single Planar MIrror */
 
  dftabs (&artelink_.jcspm, "CSPM", 1, 20, 20, 10, &artelink_.jgehd,
    "geom");
  dfzebf_("9F4I7H");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0i ("nref");
  dfat0i ("iref");
  dfat0i ("row");
  dfat0i ("col");
  dfatth ("type",2);
  dfatth ("name",5);
 
/* CSSM riCh: riCh Single Spherical Mirror */
 
  dftabs (&artelink_.jcssm, "CSSM", 1, 40, 40, 80, &artelink_.jgehd,
    "geom");
  dfzebf_("9F2H1F4I5H1I18F");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("orig");
  dfat0f ("norm");
  dfat0f ("norm");
  dfat0f ("norm");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfatth ("type",2);
  dfat0f ("hdia");
  dfat0i ("nref");
  dfat0i ("iref");
  dfat0i ("row");
  dfat0i ("col");
  dfatth ("name",5);
  dfat0i ("ncor");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
  dfat0f ("corn");
 
/* CSUP RICH: definition of a supermodule */
 
  dftabs (&artelink_.jcsup, "CSUP", 1, 14, 14, 14, &artelink_.jgehd,
    "geom");
  dfzebf_("9F1I1F1I1F1I");
  dfat0f ("x0");
  dfat0f ("x0");
  dfat0f ("x0");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("xvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0f ("yvec");
  dfat0i ("nx");
  dfat0f ("xdiv");
  dfat0i ("ny");
  dfat0f ("ydiv");
  dfat0i ("id");
 
/* CVES riCh: VESsel */
 
  dftabs (&artelink_.jcves, "CVES", 1, 17, 17, 0, &artelink_.jgehd,
    "geom");
  dfzebf_("16F1I");
  dfat0f ("pori");
  dfat0f ("pori");
  dfat0f ("pori");
  dfat0f ("pez");
  dfat0f ("pez");
  dfat0f ("pez");
  dfat0f ("prad");
  dfat0f ("plen");
  dfat0f ("eori");
  dfat0f ("eori");
  dfat0f ("eori");
  dfat0f ("eez");
  dfat0f ("eez");
  dfat0f ("eez");
  dfat0f ("erad");
  dfat0f ("elen");
  dfat0i ("irad");
 
/* D4LT Level 4 */
 
  dftabs (&artelink_.jd4lt, "D4LT", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DCAL calorimeter digits */
 
  dftabs (&artelink_.jdcal, "DCAL", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DDAQ data acquisition digits */
 
  dftabs (&artelink_.jddaq, "DDAQ", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DDEF data definition */
 
  dftabl (&artelink_.jddef, "DDEF", 1, 89, 89, 200,
    "/input/output");
  dfzebf_("5I3F80H1I");
  dfatti ("flag",-1,50);
  dfatti ("col",0,2147483647);
  dfatti ("dim",0,2147483647);
  dfat0i ("rflg");
  dfat0i ("div");
  dfat0f ("flo");
  dfat0f ("fup");
  dfattf ("fac", 0.0,0.34028231E+39,0.0);
  dfatth ("name",20);
  dfatth ("nam2",20);
  dfatth ("nam3",20);
  dfatth ("text",20);
  dfatti ("key",0,1);
 
/* DDST header for DST digit tables (i.e. NOT DEVT) */
 
  dftabs (&artelink_.jddst, "DDST", 2, 0, 0, 1, &artelink_.jdihd,
    "/output dst");
  dfzebf_("");
 
/* DEVT event digits */
 
  dftabs (&artelink_.jdevt, "DEVT", 2, 1, 1, 20, &artelink_.jdihd,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DFCS fast control system digits */
 
  dftabs (&artelink_.jdfcs, "DFCS", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DFLT 1st level trigger digits */
 
  dftabs (&artelink_.jdflt, "DFLT", 2, 1, 1, 20, &artelink_.jddst,
    "dst mini");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DIGB MC digitization for all detectors except ECAL */
 
  dftabs (&artelink_.jdigb, "DIGB", 2, 4, 4, 5000, &artelink_.jmcin,
    "/input/output");
  dfzebf_("1I1F2I");
  dfat0i ("id");
  dfat0f ("q");
  dfattr ("hitb");
  dfattr ("mimp");
 
/* DIHD header for measured digits */
 
  dftabs (&artelink_.jdihd, "DIHD", 2, 6, 6, 0, &artelink_.jevhd,
    "dst mini");
  dfzebf_("6I");
  dfat0i ("bx");
  dfat0i ("flt");
  dfat0i ("slt");
  dfat0i ("slb");
  dfat0i ("cmsk");
  dfat0i ("emsk");
 
/* DITR Inner Tracker digits */
 
  dftabs (&artelink_.jditr, "DITR", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DKEY keys */
 
  dftabs (&artelink_.jdkey, "DKEY", 2, 1, 1, 20, &artelink_.jdihd,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DMUP Muon Pad Chamber digits */
 
  dftabs (&artelink_.jdmup, "DMUP", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DMUT Muon Tube Chamber digits */
 
  dftabs (&artelink_.jdmut, "DMUT", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DMUX Muon Pixel Chamber digits */
 
  dftabs (&artelink_.jdmux, "DMUX", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DOTR Outer Tracker digits */
 
  dftabs (&artelink_.jdotr, "DOTR", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DPTC High-pt chamber digits */
 
  dftabs (&artelink_.jdptc, "DPTC", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DRIC RICH digits */
 
  dftabs (&artelink_.jdric, "DRIC", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DSLT 2nd level trigger digits */
 
  dftabs (&artelink_.jdslt, "DSLT", 2, 1, 1, 20, &artelink_.jddst,
    "dst mini");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DSVD Silicon Vertex Detector digits */
 
  dftabs (&artelink_.jdsvd, "DSVD", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DTA1 target geometry - copy of table DTAR */
 
  dftabs (&artelink_.jdta1, "DTA1", 2, 25, 25, 8, &artelink_.jdihd,
    "DST MINI");
  dfzebf_("2I20F1I1H1F");
  dfat0i ("cmp");
  dfat0i ("wnr");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dz");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("ms");
  dfat0f ("x0bm");
  dfat0f ("y0bm");
  dfat0f ("sxbm");
  dfat0f ("sybm");
  dfat0i ("shap");
  dfatth ("name",1);
  dfat0f ("eff");
 
/* DTAR Target digits */
 
  dftabs (&artelink_.jdtar, "DTAR", 2, 1, 1, 20, &artelink_.jddst,
    "dst mini");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DTLT 3rd level trigger digits */
 
  dftabs (&artelink_.jdtlt, "DTLT", 2, 1, 1, 20, &artelink_.jddst,
    "dst mini");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DTRD Transition Radiation Detector digits */
 
  dftabs (&artelink_.jdtrd, "DTRD", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* DTST any digits for test purposes */
 
  dftabs (&artelink_.jdtst, "DTST", 2, 1, 1, 20, &artelink_.jddst,
    "dst");
  dfzebf_("1H");
  dfatth ("bits",1);
 
/* ECBO Ecal readout BOard data */
 
  dftabl (&artelink_.jecbo, "ECBO", 1, 36, 36, 20,
    "/input/output");
  dfzebf_("36I");
  dfat0i ("fdid");
  dfat0i ("stat");
  dfat0i ("numb");
  dfat0i ("link");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
  dfat0i ("chan");
 
/* ECHF Ecal readout CHannel Calibration table (Fast) */
 
  dftabl (&artelink_.jechf, "ECHF", 1, 5, 5, 200,
    "geomin geomout");
  dfzebf_("1I4F");
  dfat0i ("stat");
  dfat0f ("pedf");
  dfat0f ("wid");
  dfat0f ("sens");
  dfat0f ("esen");
 
/* ECHS Ecal readout CHannel Calibration table (Slow) */
 
  dftabl (&artelink_.jechs, "ECHS", 1, 21, 21, 200,
    "geomin geomout");
  dfzebf_("1I3F3I14F");
  dfat0i ("mod");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("r");
  dfat0i ("fdid");
  dfat0i ("chan");
  dfattp ("ecbo",&artelink_.jecbo);
  dfat0f ("pcal");
  dfat0f ("pcal");
  dfat0f ("pcal");
  dfat0f ("pcal");
  dfat0f ("pcal");
  dfat0f ("pcal");
  dfat0f ("ecal");
  dfat0f ("ecal");
  dfat0f ("ecal");
  dfat0f ("ecal");
  dfat0f ("ecal");
  dfat0f ("ecal");
  dfat0f ("peds");
  dfat0f ("thrs");
 
/* ECHT Ecal Hot Channel table */
 
  dftabl (&artelink_.jecht, "ECHT", 1, 2, 2, 200,
    "geomin geomout");
  dfzebf_("2I");
  dfat0i ("stat");
  dfat0i ("chan");
 
/* ECPD Ecal Pedestal table */
 
  dftabl (&artelink_.jecpd, "ECPD", 1, 3, 3, 200,
    "geomin geomout");
  dfzebf_("1I2F");
  dfat0i ("stat");
  dfat0f ("pedf");
  dfat0f ("wid");
 
/* ECSN Ecal Sensitivity table */
 
  dftabl (&artelink_.jecsn, "ECSN", 1, 3, 3, 200,
    "geomin geomout");
  dfzebf_("1I2F");
  dfat0i ("stat");
  dfat0f ("sens");
  dfat0f ("esen");
 
/* ERRC error count */
 
  dftabl (&artelink_.jerrc, "ERRC", 1, 24, 24, 10,
    "/input/output");
  dfzebf_("20H4I");
  dfatth ("text",20);
  dfat0i ("id");
  dfat0i ("cnt");
  dfat0i ("prnt");
  dfat0i ("ftl");
 
/* EVFN DST etc. file names */
 
  dftabs (&artelink_.jevfn, "EVFN", 2, 20, 20, 0, &artelink_.jevhd,
    "dst mini");
  dfzebf_("20H");
  dfatth ("name",20);
 
/* EVHD event header bank */
 
  dftabl (&artelink_.jevhd, "EVHD", 2, 12, 11, 0,
    "dst mini note_in edir_in note_out");
  dfzebf_("5I1F5I");
  dfat0i ("evt");
  dfat0i ("run");
  dfat0i ("exp");
  dfat0i ("date");
  dfat0i ("time");
  dfat0f ("vfld");
  dfat0i ("flagdst");
  dfat0i ("dbmajor");
  dfat0i ("dbminor");
  dfat0i ("unused");
  dfat0i ("unused");
  dfat0i ("flag");
 
/* EVHI hits per detector component */
 
  dftabs (&artelink_.jevhi, "EVHI", 2, 2, 2, 10, &artelink_.jevhd,
    "dst mini");
  dfzebf_("2I");
  dfat0i ("hit");
  dfat0i ("rhit");
 
/* EVRC event reconstruction information */
 
  dftabs (&artelink_.jevrc, "EVRC", 2, 20, 20, 0, &artelink_.jevhd,
    "dst mini");
  dfzebf_("2B1I2F1B2F11I1B");
  dfat0u ("ipaddr");
  dfat0u ("errmask");
  dfat0i ("date");
  dfat0f ("cputime");
  dfat0f ("artevers");
  dfat0u ("alca");
  dfat0f ("ottmean");
  dfat0f ("ottwidth");
  dfat0i ("cats");
  dfat0i ("holmes");
  dfat0i ("ranger");
  dfat0i ("riter");
  dfat0i ("rire");
  dfat0i ("rise");
  dfat0i ("care");
  dfat0i ("trd");
  dfat0i ("mureca");
  dfat0i ("murecb");
  dfat0i ("marple");
  dfat0u ("selmask");
 
/* EVTI event reconstruction time consumption (in sec) */
 
  dftabs (&artelink_.jevti, "EVTI", 2, 10, 10, 0, &artelink_.jevhd,
    "/input /output");
  dfzebf_("10F");
  dfat0f ("vds");
  dfat0f ("ranger");
  dfat0f ("refit");
  dfat0f ("rich");
  dfat0f ("ecal");
  dfat0f ("trd");
  dfat0f ("muon");
  dfat0f ("marple");
  dfat0f ("vertex");
  dfat0f ("pid");
 
/* FELD bank of magnetic field (temporary - const field) */
 
  dftabs (&artelink_.jfeld, "FELD", 1, 5, 5, 1, &artelink_.jgehd,
    "geom");
  dfzebf_("5F");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("r");
  dfat0f ("h");
 
/* GCAL detector geometry: calorimeter or scintill. blocks */
 
  dftabs (&artelink_.jgcal, "GCAL", 1, 24, 17, 500, &artelink_.jgehd,
    "geom");
  dfzebf_("2I11F3I1H");
  dfat0i ("ncl");
  dfat0i ("sec");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("eff");
  dfat0f ("ms");
  dfat0i ("cmp");
  dfattr ("gesl");
  dfattr ("gmat");
  dfatth ("gvol",1);
  dfat0i ("fcl");
  dfat0i ("mim1");
  dfat0i ("miml");
  dfat0i ("dig1");
  dfat0i ("digl");
  dfat0i ("hit1");
  dfat0i ("hitl");
 
/* GCCE ECAL Cell Informations */
 
  dftabs (&artelink_.jgcce, "GCCE", 1, 3, 3, 200, &artelink_.jgehd,
    "/input/output");
  dfzebf_("3I");
  dfat0i ("ceid");
  dfat0i ("neib");
  dfat0i ("adrs");
 
/* GCGD Ecal Cell Grid */
 
  dftabs (&artelink_.jgcgd, "GCGD", 1, 1, 1, 20, &artelink_.jgehd,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("cidx");
 
/* GEDE detector geometry: planes */
 
  dftabs (&artelink_.jgede, "GEDE", 1, 73, 66, 500, &artelink_.jgehd,
    "geom");
  dfzebf_("4I34F9I11F4H1F1I2F");
  dfal0i ("cmp");
  dfat0i ("lay");
  dfat0i ("sec");
  dfat0i ("shp");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("sxmn");
  dfat0f ("sxmx");
  dfat0f ("symn");
  dfat0f ("symx");
  dfat0f ("cos");
  dfat0f ("sin");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("acc");
  dfat0f ("eff");
  dfat0f ("dod");
  dfat0f ("pit");
  dfat0f ("ms");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nsl");
  dfattr ("gesl");
  dfattr ("gmat");
  dfat0i ("nwl");
  dfat0i ("fwl");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfatth ("gvol",1);
  dfalth ("hwc",3);
  dfat0f ("dedx");
  dfat0i ("gcop");
  dfat0f ("noise");
  dfat0f ("ares");
  dfat0i ("mim1");
  dfat0i ("miml");
  dfat0i ("dig1");
  dfat0i ("digl");
  dfat0i ("hit1");
  dfat0i ("hitl");
  dfattr ("otmo");
 
/* GEHD header for the detector geometry */
 
  dftabl (&artelink_.jgehd, "GEHD", 1, 36, 36, 0,
    "geomin geomout");
  dfzebf_("2F2I32F");
  dfat0f ("geom");
  dfat0f ("gean");
  dfat0i ("date");
  dfat0i ("time");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
 
/* GESL detector geometry: superlayers */
 
  dftabs (&artelink_.jgesl, "GESL", 1, 23, 20, 10, &artelink_.jgehd,
    "geom");
  dfzebf_("1H5I8F5I1F");
  dfalth ("name",1);
  dfat0i ("cmp");
  dfat0i ("shp");
  dfat0i ("nsl");
  dfat0i ("mfl");
  dfat0i ("lay");
  dfat0f ("x1");
  dfat0f ("x2");
  dfat0f ("y1");
  dfat0f ("y2");
  dfat0f ("z1");
  dfat0f ("z2");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0i ("npl");
  dfat0i ("fpl");
  dfat0i ("nwl");
  dfat0i ("fwl");
  dfat0i ("ltyp");
  dfat0f ("radl");
  dfattr ("gede");
  dfattr ("gcal");
  dfattr ("gwal");
 
/* GMAT Table of Materials */
 
  dftabs (&artelink_.jgmat, "GMAT", 1, 18, 12, 800, &artelink_.jnghd,
    "geom");
  dfzebf_("3H5F3I1F");
  dfatth ("name",3);
  dfat0f ("a");
  dfat0f ("z");
  dfat0f ("dens");
  dfat0f ("radl");
  dfat0f ("absl");
  dfat0i ("nmix");
  dfat0i ("flag");
  dfattp ("gmix",&artelink_.jgmix);
  dfat0f ("loss");
  dfattr ("gede");
  dfattr ("gcal");
  dfattr ("gwal");
  dfattr ("nede");
  dfattr ("ncal");
  dfattr ("nwal");
 
/* GMIX Table of components of material mixtures */
 
  dftabs (&artelink_.jgmix, "GMIX", 1, 6, 6, 800, &artelink_.jgmat,
    "geom");
  dfzebf_("3H3F");
  dfatth ("name",3);
  dfat0f ("a");
  dfat0f ("z");
  dfat0f ("w");
 
/* GNEI Adjacent ECAL cells references */
 
  dftabs (&artelink_.jgnei, "GNEI", 1, 1, 1, 500, &artelink_.jgehd,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("ncod");
 
/* GSSL Selection flags for superlayers */
 
  dftabl (&artelink_.jgssl, "GSSL", 1, 1, 1, 50,
    "geom");
  dfzebf_("1I");
  dfat0i ("flag");
 
/* GTAR target geometry */
 
  dftabs (&artelink_.jgtar, "GTAR", 1, 25, 25, 8, &artelink_.jgehd,
    "geom");
  dfzebf_("2I20F1I1H1F");
  dfat0i ("cmp");
  dfat0i ("wnr");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dz");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("ms");
  dfat0f ("x0bm");
  dfat0f ("y0bm");
  dfat0f ("sxbm");
  dfat0f ("sybm");
  dfat0i ("shap");
  dfatth ("name",1);
  dfat0f ("eff");
 
/* GWAL walls */
 
  dftabs (&artelink_.jgwal, "GWAL", 1, 26, 26, 50, &artelink_.jgehd,
    "geomin geomout");
  dfzebf_("1I19F4I1H1F");
  dfat0i ("shp");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("ms");
  dfat0i ("nsl");
  dfattr ("gesl");
  dfattr ("gmat");
  dfattp ("gede",&artelink_.jgede);
  dfatth ("gvol",1);
  dfat0f ("dedx");
 
/* HITB hits in all detectors except ECAL */
 
  dftabs (&artelink_.jhitb, "HITB", 2, 12, 10, 5000, &artelink_.jevhd,
    "/input/output");
  dfzebf_("5F5I");
  dfat0f ("z");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("q");
  dfat0f ("r");
  dfattp ("gede",&artelink_.jgede);
  dfattr ("rtra");
  dfattr ("mimp");
  dfattr ("rseg");
  dfat0i ("chid");
  dfattr ("digb");
  dfattr ("rhit");
 
/* HITC hits in ECAL */
 
  dftabs (&artelink_.jhitc, "HITC", 2, 9, 9, 200, &artelink_.jevhd,
    "/input/output");
  dfzebf_("4F1I1F3I");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("q");
  dfat0f ("r");
  dfattp ("gcce",&artelink_.jgcce);
  dfat0f ("adc");
  dfattr ("rtra");
  dfattr ("mcal");
  dfattr ("rccl");
 
/* MARK SUSi hit Mark Table */
 
  dftabs (&artelink_.jmark, "MARK", 2, 1, 1, 5000, &artelink_.jevhd,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("used");
 
/* MCAL MC calorimeter energy deposition */
 
  dftabs (&artelink_.jmcal, "MCAL", 2, 4, 3, 200, &artelink_.jmcin,
    "dst mini");
  dfzebf_("1F2I");
  dfat0f ("de");
  dfat0i ("gcal");
  dfattr ("mtra");
  dfattr ("hitc");
 
/* MCIN MC general information */
 
  dftabs (&artelink_.jmcin, "MCIN", 2, 13, 13, 0, &artelink_.jevhd,
    "dst mini");
  dfzebf_("1B2F8I2B");
  dfat0b ("mix");
  dfat0f ("vgeo");
  dfat0f ("vgea");
  dfat0i ("rgea");
  dfat0i ("rgea");
  dfat0i ("rdig");
  dfat0i ("rdig");
  dfat0i ("nmtr");
  dfat0i ("nmve");
  dfat0i ("rl1s");
  dfat0i ("rl1s");
  dfat0b ("fmcl");
  dfat0b ("fmcs");
 
/* MCME MC data for event mixing */
 
  dftabs (&artelink_.jmcme, "MCME", 2, 12, 12, 0, &artelink_.jmcin,
    "dst mini");
  dfzebf_("7I3F1I1H");
  dfat0i ("evt");
  dfat0i ("run");
  dfat0i ("exp");
  dfat0i ("phy");
  dfat0i ("rlun");
  dfat0i ("rlun");
  dfattr ("mver");
  dfat0f ("vlun");
  dfat0f ("time");
  dfat0f ("wgth");
  dfat0i ("wire");
  dfatth ("mat",1);
 
/* MEIO input/output files */
 
  dftabl (&artelink_.jmeio, "MEIO", 1, 66, 66, 100,
    "/input/output");
  dfzebf_("53H12I1F");
  dfatth ("name",30);
  dfatth ("stream",20);
  dfatth ("zoption",2);
  dfattc ("bit",1);
  dfat0i ("pack");
  dfat0i ("iostat");
  dfat0i ("flag");
  dfat0i ("rleng");
  dfat0i ("format");
  dfat0i ("concat");
  dfat0i ("current");
  dfat0i ("nrec");
  dfat0i ("table");
  dfat0i ("fskip");
  dfat0i ("nskip");
  dfat0i ("cfopen");
  dfat0f ("maxout");
 
/* MEMA DD: attribute description */
 
  dftabs (&artelink_.jmema, "MEMA", 1, 34, 30, 3000, &artelink_.jmemo,
    "/input/output");
  dfzebf_("20H7I3F");
  dfatth ("name",20);
  dfat0i ("type");
  dfat0i ("rela");
  dfat0i ("relt");
  dfat0i ("relp");
  dfat0i ("key");
  dfat0i ("ilow");
  dfat0i ("iupp");
  dfat0f ("flow");
  dfat0f ("fupp");
  dfat0f ("accu");
  dfat0i ("imin");
  dfat0i ("imax");
  dfat0f ("fmin");
  dfat0f ("fmax");
 
/* MEMO data description: tables */
 
  dftabl (&artelink_.jmemo, "MEMO", 1, 43, 43, 400,
    "/input/output");
  dfzebf_("20H1I2B17I1F2I");
  dfatth ("name",20);
  dfat0i ("fmt");
  dfat0b ("iod");
  dfat0b ("ioa");
  dfat0i ("div");
  dfat0i ("col");
  dfat0i ("ocol");
  dfat0i ("ext");
  dfat0i ("flag");
  dfat0i ("pos");
  dfat0i ("pos");
  dfat0i ("sup");
  dfat0i ("sup");
  dfat0i ("sub1");
  dfat0i ("sub2");
  dfattp ("mema",&artelink_.jmema);
  dfat0i ("book");
  dfat0i ("drop");
  dfat0i ("extn");
  dfat0i ("maxr");
  dfat0i ("accrow");
  dfat0f ("mom2");
  dfat0i ("nin");
  dfat0i ("nout");
 
/* MEMS subordinate tables */
 
  dftabs (&artelink_.jmems, "MEMS", 1, 1, 1, 0, &artelink_.jmemo,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("sub");
 
/* MF01 parameter of the magnetic field region 01 */
 
  dftabs (&artelink_.jmf01, "MF01", 1, 3, 3, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("3F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF02 parameter of the magnetic field region 02 */
 
  dftabs (&artelink_.jmf02, "MF02", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF03 parameter of the magnetic field region 03 */
 
  dftabs (&artelink_.jmf03, "MF03", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF04 parameter of the magnetic field region 04 */
 
  dftabs (&artelink_.jmf04, "MF04", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF05 parameter of the magnetic field region 05 */
 
  dftabs (&artelink_.jmf05, "MF05", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF06 parameter of the magnetic field region 06 */
 
  dftabs (&artelink_.jmf06, "MF06", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF07 parameter of the magnetic field region 07 */
 
  dftabs (&artelink_.jmf07, "MF07", 1, 1, 1, 4800, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF08 parameter of the magnetic field region 08 */
 
  dftabs (&artelink_.jmf08, "MF08", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF09 parameter of the magnetic field region 09 */
 
  dftabs (&artelink_.jmf09, "MF09", 1, 1, 1, 4800, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF10 parameter of the magnetic field region 10 */
 
  dftabs (&artelink_.jmf10, "MF10", 1, 1, 1, 5160, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF11 parameter of the magnetic field region 11 */
 
  dftabs (&artelink_.jmf11, "MF11", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF12 parameter of the magnetic field region 12 */
 
  dftabs (&artelink_.jmf12, "MF12", 1, 1, 1, 5160, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF13 parameter of the magnetic field region 13 */
 
  dftabs (&artelink_.jmf13, "MF13", 1, 1, 1, 10290, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF14 parameter of the magnetic field region 14 */
 
  dftabs (&artelink_.jmf14, "MF14", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF15 parameter of the magnetic field region 15 */
 
  dftabs (&artelink_.jmf15, "MF15", 1, 1, 1, 10290, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF16 parameter of the magnetic field region 16 */
 
  dftabs (&artelink_.jmf16, "MF16", 1, 1, 1, 10920, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF17 parameter of the magnetic field region 17 */
 
  dftabs (&artelink_.jmf17, "MF17", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF18 parameter of the magnetic field region 18 */
 
  dftabs (&artelink_.jmf18, "MF18", 1, 1, 1, 10920, &artelink_.jmfhd,
    "geom");
  dfzebf_("1F");
  dfat0f ("para");
 
/* MF19 parameter of the magnetic field region 19 */
 
  dftabs (&artelink_.jmf19, "MF19", 1, 24, 24, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("24F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF20 parameter of the magnetic field region 20 */
 
  dftabs (&artelink_.jmf20, "MF20", 1, 60, 60, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("60F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MF21 parameter of the magnetic field region 21 */
 
  dftabs (&artelink_.jmf21, "MF21", 1, 30, 30, 100, &artelink_.jmfhd,
    "geom");
  dfzebf_("30F");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
  dfat0f ("para");
 
/* MFHD header for magnetic field constants */
 
  dftabl (&artelink_.jmfhd, "MFHD", 1, 1, 1, 0,
    "geom");
  dfzebf_("1F");
  dfat0f ("vers");
 
/* MFLD regions for the magnetic field */
 
  dftabs (&artelink_.jmfld, "MFLD", 1, 15, 15, 20, &artelink_.jmfhd,
    "geom");
  dfzebf_("4I10F1I");
  dfat0i ("meth");
  dfat0i ("nr_x");
  dfat0i ("nr_y");
  dfat0i ("nr_z");
  dfat0f ("dr_x");
  dfat0f ("dr_y");
  dfat0f ("dr_z");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("scal");
  dfat0i ("pipe");
 
/* MIMP MC detector impact points */
 
  dftabs (&artelink_.jmimp, "MIMP", 2, 12, 10, 2000, &artelink_.jmcin,
    "dst mini");
  dfzebf_("7F2I1F");
  dfat0f ("z");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("tx");
  dfat0f ("ty");
  dfat0f ("p");
  dfat0f ("time");
  dfattp ("gede",&artelink_.jgede);
  dfattr ("mtra");
  dfat0f ("q");
  dfattr ("digb");
  dfattr ("hitb");
 
/* MTCP MC-Track-Entry-Point in calorimeter */
 
  dftabs (&artelink_.jmtcp, "MTCP", 2, 7, 7, 1000, &artelink_.jmcin,
    "dst mini");
  dfzebf_("6F1I");
  dfat0f ("z");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("tx");
  dfat0f ("ty");
  dfat0f ("p");
  dfattr ("mtra");
 
/* MTRA MC particles / tracks */
 
  dftabs (&artelink_.jmtra, "MTRA", 2, 19, 9, 2000, &artelink_.jmcin,
    "dst mini");
  dfzebf_("4F5I");
  dfat0f ("px");
  dfat0f ("py");
  dfat0f ("pz");
  dfat0f ("ml");
  dfat0i ("flag");
  dfattr ("topp");
  dfat0i ("orig");
  dfattr ("rtra");
  dfattr ("rccl");
  dfat0f ("mass");
  dfat0f ("leng");
  dfattr ("bver");
  dfattr ("btra");
  dfattr ("etra");
  dfattr ("ever");
  dfattr ("mimp");
  dfattr ("mcal");
  dfattr ("rseg");
  dfattr ("mtcp");
 
/* MVER MC vertices */
 
  dftabs (&artelink_.jmver, "MVER", 2, 7, 5, 500, &artelink_.jmcin,
    "dst mini");
  dfzebf_("3F2I");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0i ("flag");
  dfattr ("btra");
  dfattr ("etra");
  dfattr ("mcme");
 
/* NBEA beam geometry */
 
  dftabs (&artelink_.jnbea, "NBEA", 1, 8, 8, 8, &artelink_.jnghd,
    "geom");
  dfzebf_("7F1I");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dt");
  dfat0f ("time");
  dfat0i ("tsw");
 
/* NCAL nominal detector geometry: calorimeter/scintill. */
 
  dftabs (&artelink_.jncal, "NCAL", 1, 17, 17, 500, &artelink_.jnghd,
    "geom");
  dfzebf_("2I11F3I1H");
  dfat0i ("ncl");
  dfat0i ("sec");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("eff");
  dfat0f ("ms");
  dfat0i ("cmp");
  dfattr ("nesl");
  dfattr ("gmat");
  dfatth ("gvol",1);
 
/* NEDE nominal detector geometry: planes */
 
  dftabs (&artelink_.jnede, "NEDE", 1, 66, 66, 500, &artelink_.jnghd,
    "geom");
  dfzebf_("4I34F9I11F4H1F1I2F");
  dfal0i ("cmp");
  dfat0i ("lay");
  dfat0i ("sec");
  dfat0i ("shp");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("sxmn");
  dfat0f ("sxmx");
  dfat0f ("symn");
  dfat0f ("symx");
  dfat0f ("cos");
  dfat0f ("sin");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("acc");
  dfat0f ("eff");
  dfat0f ("dod");
  dfat0f ("pit");
  dfat0f ("ms");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("xfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0f ("zfw");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nwi");
  dfat0i ("nsl");
  dfattr ("nesl");
  dfattr ("gmat");
  dfat0i ("nwl");
  dfat0i ("fwl");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y1w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfat0f ("y2w");
  dfatth ("gvol",1);
  dfalth ("hwc",3);
  dfat0f ("dedx");
  dfat0i ("gcop");
  dfat0f ("noise");
  dfat0f ("ares");
 
/* NESL nominal detector geometry: superlayers */
 
  dftabs (&artelink_.jnesl, "NESL", 1, 22, 19, 10, &artelink_.jnghd,
    "geom");
  dfzebf_("1H5I8F5I");
  dfatth ("name",1);
  dfat0i ("cmp");
  dfat0i ("shp");
  dfat0i ("nsl");
  dfat0i ("mfl");
  dfat0i ("lay");
  dfat0f ("x1");
  dfat0f ("x2");
  dfat0f ("y1");
  dfat0f ("y2");
  dfat0f ("z1");
  dfat0f ("z2");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0i ("npl");
  dfat0i ("fpl");
  dfat0i ("nwl");
  dfat0i ("fwl");
  dfat0i ("ltyp");
  dfattr ("nede");
  dfattr ("ncal");
  dfattr ("nwal");
 
/* NFLD bank of magnetic field (temporary - const field) */
 
  dftabs (&artelink_.jnfld, "NFLD", 1, 5, 5, 1, &artelink_.jnghd,
    "geom");
  dfzebf_("5F");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("r");
  dfat0f ("h");
 
/* NGHD header for the nominal detector geometry */
 
  dftabl (&artelink_.jnghd, "NGHD", 1, 36, 36, 0,
    "geom");
  dfzebf_("2F2I32F");
  dfat0f ("geom");
  dfat0f ("gean");
  dfat0i ("date");
  dfat0i ("time");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
  dfat0f ("gevs");
 
/* NTAR target geometry */
 
  dftabs (&artelink_.jntar, "NTAR", 1, 25, 25, 8, &artelink_.jnghd,
    "geom");
  dfzebf_("2I20F1I1H1F");
  dfat0i ("cmp");
  dfat0i ("wnr");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0f ("dz");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("z");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("ms");
  dfat0f ("x0bm");
  dfat0f ("y0bm");
  dfat0f ("sxbm");
  dfat0f ("sybm");
  dfat0i ("shap");
  dfatth ("name",1);
  dfat0f ("eff");
 
/* NWAL nominal walls */
 
  dftabs (&artelink_.jnwal, "NWAL", 1, 26, 26, 50, &artelink_.jnghd,
    "geom");
  dfzebf_("1I19F4I1H1F");
  dfat0i ("shp");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("xmad");
  dfat0f ("ymad");
  dfat0f ("zmad");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("rot");
  dfat0f ("ms");
  dfat0i ("nsl");
  dfattr ("nesl");
  dfattr ("gmat");
  dfattp ("nede",&artelink_.jnede);
  dfatth ("gvol",1);
  dfat0f ("dedx");
 
/* OTCD OT channel description (parallel to OTMO) */
 
  dftabs (&artelink_.jotcd, "OTCD", 1, 5, 5, 1909, &artelink_.jotgl,
    "/input/output");
  dfzebf_("1I4H");
  dfat0i ("chan");
  dfattc ("bits",4);
 
/* OTDR OT(IT) dead regions */
 
  dftabs (&artelink_.jotdr, "OTDR", 1, 7, 7, 50, &artelink_.jotgl,
    "geom");
  dfzebf_("1I3H1I2F");
  dfattp ("gede",&artelink_.jgede);
  dfatth ("hwc",3);
  dfat0i ("sub");
  dfat0f ("xmin");
  dfat0f ("xmax");
 
/* OTGL OT global constants */
 
  dftabs (&artelink_.jotgl, "OTGL", 1, 19, 19, 1, &artelink_.jgehd,
    "geom");
  dfzebf_("5I14F");
  dfat0i ("gede");
  dfat0i ("mchn");
  dfat0i ("medb");
  dfat0i ("meth");
  dfat0i ("knot");
  dfat0f ("wvel");
  dfat0f ("vd");
  dfat0f ("vd");
  dfat0f ("vdmf");
  dfat0f ("vdmf");
  dfat0f ("fele");
  dfat0f ("ntdc");
  dfat0f ("fatt");
  dfat0f ("damp");
  dfat0f ("db");
  dfat0f ("dqe");
  dfat0f ("dlam");
  dfat0f ("xtcl");
  dfat0f ("xtre");
 
/* OTMO OT module parameters */
 
  dftabs (&artelink_.jotmo, "OTMO", 1, 5, 5, 1909, &artelink_.jotgl,
    "geom");
  dfzebf_("1F4I");
  dfat0f ("yt0");
  dfat0i ("ydir");
  dfat0i ("idtz");
  dfat0i ("idts");
  dfattr ("gede");
 
/* OTTE OT error of t_zero values */
 
  dftabs (&artelink_.jotte, "OTTE", 1, 1, 1, 29000, &artelink_.jotgl,
    "/input /output");
  dfzebf_("1H");
  dfattc ("ert0",1);
 
/* OTTS OT time-space relations */
 
  dftabs (&artelink_.jotts, "OTTS", 1, 4, 4, 500, &artelink_.jotgl,
    "/input/output");
  dfzebf_("4F");
  dfat0f ("tdc");
  dfat0f ("r");
  dfat0f ("resr");
  dfat0f ("v");
 
/* OTTZ OT t_zero values */
 
  dftabs (&artelink_.jottz, "OTTZ", 1, 1, 1, 29000, &artelink_.jotgl,
    "/input /output");
  dfzebf_("1H");
  dfattc ("t0",1);
 
/* PTAD High-Pt ASD-8 board */
 
  dftabs (&artelink_.jptad, "PTAD", 1, 7, 6, 1, &artelink_.jptcr,
    "geom");
  dfzebf_("2H4I");
  dfatth ("name",2);
  dfat0i ("pos");
  dfat0i ("fstc");
  dfat0i ("lstc");
  dfattr ("ptfd");
  dfattr ("ptch");
 
/* PTAL High-Pt Alignment information */
 
  dftabs (&artelink_.jptal, "PTAL", 1, 15, 15, 1, &artelink_.jptge,
    "geom");
  dfzebf_("1I12F2I");
  dfat0i ("flag");
  dfat0f ("xoff");
  dfat0f ("yoff");
  dfat0f ("zoff");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfattr ("ptmd");
  dfattr ("ptge");
 
/* PTCE Cells of PT chambers */
 
  dftabs (&artelink_.jptce, "PTCE", 1, 4, 4, 1000, &artelink_.jptge,
    "geom");
  dfzebf_("4I");
  dfat0i ("flag");
  dfat0i ("id");
  dfattr ("ptge");
  dfattr ("ptch");
 
/* PTCH High-pt Channel */
 
  dftabs (&artelink_.jptch, "PTCH", 1, 3, 2, 500, &artelink_.jptcr,
    "geom");
  dfzebf_("2I");
  dfat0i ("id");
  dfattr ("ptad");
  dfattr ("ptce");
 
/* PTCR High-Pt FED Mother Board/Crate */
 
  dftabl (&artelink_.jptcr, "PTCR", 1, 37, 36, 1,
    "geom");
  dfzebf_("1I34H1I");
  dfat0i ("id");
  dfatth ("name",2);
  dfatth ("text",32);
  dfattr ("ptmd");
  dfattr ("ptfd");
 
/* PTFD High-Pt Daugther Board */
 
  dftabs (&artelink_.jptfd, "PTFD", 1, 37, 36, 1, &artelink_.jptcr,
    "geom");
  dfzebf_("1I34H1I");
  dfat0i ("id");
  dfatth ("name",2);
  dfatth ("text",32);
  dfattr ("ptcr");
  dfattr ("ptad");
 
/* PTGE PT detector geometry: planes and walls */
 
  dftabl (&artelink_.jptge, "PTGE", 1, 71, 69, 50,
    "geom");
  dfzebf_("3I8H1I17F6I32H2I");
  dfat0i ("flag");
  dfat0i ("arte");
  dfat0i ("db");
  dfatth ("name",1);
  dfatth ("supl",1);
  dfatth ("moth",1);
  dfatth ("shap",1);
  dfatth ("mate",3);
  dfatth ("maon",1);
  dfat0i ("irot");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("rotm");
  dfat0f ("xmin");
  dfat0f ("xmax");
  dfat0f ("ymin");
  dfat0f ("ymax");
  dfat0f ("zmin");
  dfat0f ("zmax");
  dfat0f ("dx");
  dfat0f ("dy");
  dfat0i ("nx");
  dfat0i ("ny");
  dfat0i ("dir");
  dfat0i ("colo");
  dfat0i ("fill");
  dfat0i ("seen");
  dfatth ("comm",32);
  dfat0i ("fstc");
  dfat0i ("lstc");
  dfattr ("ptce");
  dfattr ("ptal");
 
/* PTMD High-Pt Module */
 
  dftabl (&artelink_.jptmd, "PTMD", 1, 37, 35, 1,
    "geom");
  dfzebf_("1I34H");
  dfat0i ("id");
  dfatth ("name",2);
  dfatth ("text",32);
  dfattr ("ptcr");
  dfattr ("ptal");
 
/* RCCL cluster table */
 
  dftabs (&artelink_.jrccl, "RCCL", 2, 36, 33, 500, &artelink_.jevhd,
    "dst mini");
  dfzebf_("23F1I8F1I");
  dfattf ("z",1300.0000,1400.0000,0.0);
  dfattf ("x",-400.00000,400.00000,0.0);
  dfattf ("y",-300.00000,300.00000,0.0);
  dfat0f ("tx");
  dfat0f ("ty");
  dfat0f ("esum");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("wid");
  dfat0f ("asym");
  dfat0i ("flag");
  dfat0f ("lemp");
  dfat0f ("lmip");
  dfat0f ("lhad");
  dfat0f ("xcog");
  dfat0f ("ycog");
  dfat0f ("vcog");
  dfat0f ("vcog");
  dfat0f ("vcog");
  dfattr ("rtra");
  dfattr ("hitc");
  dfattr ("mtra");
  dfattr ("rseg");
 
/* RHIT fitted hits in all detectors except ECAL */
 
  dftabs (&artelink_.jrhit, "RHIT", 2, 9, 9, 500, &artelink_.jrtra,
    "/input/output");
  dfzebf_("6F3I");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("tx");
  dfat0f ("ty");
  dfat0f ("p");
  dfat0f ("q");
  dfattp ("rtra",&artelink_.jrtra);
  dfattr ("hitb");
  dfattr ("rseg");
 
/* RITH Rich reconstruction utility */
 
  dftabl (&artelink_.jrith, "RITH", 1, 15, 15, 0,
    "/input /output");
  dfzebf_("1F4I10F");
  dfat0f ("rad0");
  dfat0i ("run");
  dfat0i ("ver");
  dfat0i ("exp");
  dfat0i ("time");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
  dfat0f ("par");
 
/* RPNT point on a track (e.g. impact point into muon) */
 
  dftabs (&artelink_.jrpnt, "RPNT", 2, 23, 23, 500, &artelink_.jrtra,
    "/input/output");
  dfzebf_("21F2I");
  dfat0f ("zf");
  dfat0f ("xf");
  dfat0f ("yf");
  dfat0f ("txf");
  dfat0f ("tyf");
  dfat0f ("pf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfattr ("rtra");
  dfattr ("rseg");
 
/* RREL relation between tracks and  vertices */
 
  dftabs (&artelink_.jrrel, "RREL", 2, 5, 5, 10, &artelink_.jevhd,
    "dst mini");
  dfzebf_("2I1F2I");
  dfatti ("flag",0,1);
  dfattp ("topp",&artelink_.jtopp);
  dfat0f ("chi");
  dfattr ("rtra");
  dfattr ("rver");
 
/* RSEG reconstructed track segments */
 
  dftabs (&artelink_.jrseg, "RSEG", 2, 58, 54, 200, &artelink_.jevhd,
    "dst mini");
  dfzebf_("45F9I");
  dfat0f ("zf");
  dfat0f ("xf");
  dfat0f ("yf");
  dfat0f ("txf");
  dfat0f ("tyf");
  dfat0f ("pf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("time");
  dfat0f ("dtim");
  dfat0f ("ze");
  dfat0f ("xe");
  dfat0f ("ye");
  dfat0f ("txe");
  dfat0f ("tye");
  dfat0f ("pe");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("cve");
  dfat0f ("chi");
  dfat0i ("fit");
  dfat0i ("cmp");
  dfattr ("rtra");
  dfattr ("rbeg");
  dfat0i ("err");
  dfattr ("rccl");
  dfattr ("mtra");
  dfat0i ("nhit");
  dfat0i ("npar");
  dfattr ("hitb");
  dfattr ("rpnt");
  dfattr ("rhit");
  dfattr ("rend");
 
/* RTRA reconstructed tracks */
 
  dftabs (&artelink_.jrtra, "RTRA", 2, 70, 62, 100, &artelink_.jevhd,
    "dst mini");
  dfzebf_("21F8I6F2I2F1I3F1I2F1I5F1I1B5I3F");
  dfattf ("zf",-10.000000,2100.0000,0.0);
  dfattf ("xf",-500.00000,500.00000,0.0);
  dfattf ("yf",-400.00000,400.00000,0.0);
  dfat0f ("txf");
  dfat0f ("tyf");
  dfattf ("pf",-10.000000,10.000000,0.0);
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0f ("cvf");
  dfat0i ("hsi");
  dfat0i ("hin");
  dfat0i ("hou");
  dfat0i ("hri");
  dfat0i ("hca");
  dfat0i ("htr");
  dfat0i ("hmu");
  dfatti ("fit",0,2147483647);
  dfat0f ("chi");
  dfat0f ("lre");
  dfat0f ("lrmu");
  dfat0f ("lrpi");
  dfat0f ("lrk");
  dfat0f ("lrp");
  dfat0i ("flr");
  dfattr ("topp");
  dfat0f ("lte");
  dfat0f ("lth");
  dfat0i ("flt");
  dfat0f ("lee");
  dfat0f ("lemi");
  dfat0f ("leh");
  dfat0i ("fle");
  dfat0f ("lmmu");
  dfat0f ("lmh");
  dfat0i ("flm");
  dfat0f ("le");
  dfat0f ("lmu");
  dfat0f ("lpi");
  dfat0f ("lk");
  dfat0f ("lp");
  dfat0i ("fid");
  dfat0u ("bsi");
  dfat0i ("csvd");
  dfat0i ("cmain");
  dfat0i ("crich");
  dfat0i ("cecal");
  dfat0i ("cmuon");
  dfat0f ("txr");
  dfat0f ("tyr");
  dfat0f ("cer");
  dfattr ("ever");
  dfattr ("rrel");
  dfattr ("hitb");
  dfattr ("hitc");
  dfattr ("rpnt");
  dfattr ("mtra");
  dfattr ("rseg");
  dfattr ("rccl");
 
/* RTRI RICH results with 2 methods: Riter and Rise */
 
  dftabs (&artelink_.jrtri, "RTRI", 2, 12, 12, 100, &artelink_.jevhd,
    "dst mini");
  dfzebf_("5F1I5F1I");
  dfat0f ("lte");
  dfat0f ("ltmu");
  dfat0f ("ltpi");
  dfat0f ("ltk");
  dfat0f ("ltp");
  dfat0i ("flt");
  dfat0f ("lse");
  dfat0f ("lsmu");
  dfat0f ("lspi");
  dfat0f ("lsk");
  dfat0f ("lsp");
  dfat0i ("fls");
 
/* RVER reconstructed vertices */
 
  dftabs (&artelink_.jrver, "RVER", 2, 16, 15, 10, &artelink_.jevhd,
    "dst mini");
  dfzebf_("11F3I1F");
  dfat0f ("xv");
  dfat0f ("yv");
  dfat0f ("zv");
  dfat0f ("cv");
  dfat0f ("cv");
  dfat0f ("cv");
  dfat0f ("cv");
  dfat0f ("cv");
  dfat0f ("cv");
  dfat0f ("mass");
  dfat0f ("merr");
  dfat0i ("nt");
  dfattr ("btra");
  dfat0i ("wire");
  dfat0f ("chi2");
  dfattr ("rrel");
 
/* SHCA Silicon Hits for SUSi Candidates */
 
  dftabs (&artelink_.jshca, "SHCA", 2, 23, 23, 200, &artelink_.jevhd,
    "/input/output");
  dfzebf_("1I22F");
  dfat0i ("plan");
  dfat0f ("meas");
  dfat0f ("dchi");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
 
/* SHPR Silicon Hits for SUSi Proper Tracks */
 
  dftabs (&artelink_.jshpr, "SHPR", 2, 2, 2, 500, &artelink_.jevhd,
    "/input/output");
  dfzebf_("2I");
  dfattp ("hitb",&artelink_.jhitb);
  dfattr ("stpr");
 
/* SHRC Silicon Hits for Reconstructed Tracks */
 
  dftabs (&artelink_.jshrc, "SHRC", 2, 19, 19, 500, &artelink_.jevhd,
    "/input/output");
  dfzebf_("2I16F1I");
  dfattp ("hitb",&artelink_.jhitb);
  dfat0i ("plan");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("meas");
  dfat0f ("res");
  dfattr ("strc");
 
/* SNAB SUSi Navigation Table (to) */
 
  dftabs (&artelink_.jsnab, "SNAB", 1, 2, 2, 20, &artelink_.jsusi,
    "/input /output");
  dfzebf_("2I");
  dfat0i ("next");
  dfattr ("snav");
 
/* SNAV SUSi Navigation Table (from) */
 
  dftabs (&artelink_.jsnav, "SNAV", 1, 5, 3, 20, &artelink_.jsusi,
    "geom");
  dfzebf_("3I");
  dfattp ("gede",&artelink_.jgede);
  dfat0i ("npla");
  dfat0i ("nbac");
  dfattr ("snax");
  dfattr ("snab");
 
/* SNAX SUSi Navigation Table (to) */
 
  dftabs (&artelink_.jsnax, "SNAX", 1, 2, 2, 20, &artelink_.jsusi,
    "geom");
  dfzebf_("2I");
  dfat0i ("next");
  dfattr ("snav");
 
/* SPAR SUSi Parameters Table */
 
  dftabs (&artelink_.jspar, "SPAR", 1, 17, 17, 0, &artelink_.jsusi,
    "/input/output");
  dfzebf_("7I10F");
  dfat0i ("nmod");
  dfat0i ("dfla");
  dfat0i ("seed");
  dfat0i ("angu");
  dfat0i ("prop");
  dfat0i ("algo");
  dfat0i ("mhsl");
  dfat0f ("qual");
  dfat0f ("perc");
  dfat0f ("wmis");
  dfat0f ("wch2");
  dfat0f ("mnto");
  dfat0f ("mxto");
  dfat0f ("anto");
  dfat0f ("crit");
  dfat0f ("twin");
  dfat0f ("pmin");
 
/* SPAS SUSi PASS Table */
 
  dftabs (&artelink_.jspas, "SPAS", 1, 1, 0, 20, &artelink_.jsusi,
    "geom");
  dfzebf_("");
  dfattr ("ssee");
 
/* SSEE SUSi SEEDing Table */
 
  dftabs (&artelink_.jssee, "SSEE", 1, 5, 5, 20, &artelink_.jsusi,
    "geom");
  dfzebf_("5I");
  dfat0i ("pln1");
  dfat0i ("pln2");
  dfat0i ("pln3");
  dfat0i ("pln4");
  dfattr ("spas");
 
/* SSTA SUSi Statistics Table */
 
  dftabs (&artelink_.jssta, "SSTA", 1, 41, 41, 0, &artelink_.jsusi,
    "/input/output");
  dfzebf_("22I1F1I1F1I1F1I1F1I1F1I1F1I7F");
  dfat0i ("frst");
  dfat0i ("last");
  dfat0i ("prn");
  dfat0i ("mnpf");
  dfat0i ("mxpf");
  dfat0i ("mnpr");
  dfat0i ("mxpr");
  dfat0i ("mnre");
  dfat0i ("mxre");
  dfat0i ("mnpt");
  dfat0i ("mxpt");
  dfat0i ("mnex");
  dfat0i ("mxex");
  dfat0i ("mngh");
  dfat0i ("mxgh");
  dfat0i ("mnse");
  dfat0i ("mxse");
  dfat0i ("mnrp");
  dfat0i ("mxrp");
  dfat0i ("mncp");
  dfat0i ("mxcp");
  dfat0i ("nstp");
  dfat0f ("ystp");
  dfat0i ("npre");
  dfat0f ("ypre");
  dfat0i ("nrec");
  dfat0f ("yrec");
  dfat0i ("nseg");
  dfat0f ("yseg");
  dfat0i ("ngho");
  dfat0f ("ygho");
  dfat0i ("npnt");
  dfat0f ("ypnt");
  dfat0i ("nncp");
  dfat0f ("yncp");
  dfat0f ("epro");
  dfat0f ("apro");
  dfat0f ("eext");
  dfat0f ("aext");
  dfat0f ("egho");
  dfat0f ("agho");
 
/* STCA SUSi Track Candidates */
 
  dftabs (&artelink_.jstca, "STCA", 2, 69, 69, 100, &artelink_.jevhd,
    "/input/output");
  dfzebf_("7I1F1I20F40I");
  dfat0i ("nhit");
  dfat0i ("nmis");
  dfat0i ("n2mi");
  dfat0i ("hspl");
  dfat0i ("lplx");
  dfat0i ("lply");
  dfat0i ("ac");
  dfat0f ("chi2");
  dfat0i ("plan");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
  dfat0i ("hili");
 
/* STPR SUSi Reconstructable Tracks */
 
  dftabs (&artelink_.jstpr, "STPR", 2, 3, 2, 50, &artelink_.jsusi,
    "/input/output");
  dfzebf_("2I");
  dfattp ("mtra",&artelink_.jmtra);
  dfat0i ("nhit");
  dfattr ("shpr");
 
/* STRC SUSi Reconstructed Tracks */
 
  dftabs (&artelink_.jstrc, "STRC", 2, 25, 24, 50, &artelink_.jevhd,
    "/input/output");
  dfzebf_("6I17F1I");
  dfat0i ("nhit");
  dfat0i ("nmis");
  dfat0i ("plan");
  dfattp ("mtra",&artelink_.jmtra);
  dfat0i ("seed");
  dfat0i ("perc");
  dfat0f ("chi2");
  dfat0f ("qual");
  dfat0f ("z");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("p");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0f ("c");
  dfat0i ("ac");
  dfattr ("shrc");
 
/* SUSI SUSi Navigation Table (to) */
 
  dftabl (&artelink_.jsusi, "SUSI", 1, 3, 3, 20,
    "geom");
  dfzebf_("3F");
  dfat0f ("vers");
  dfat0f ("nver");
  dfat0f ("sver");
 
/* TAHB HITS */
 
  dftabs (&artelink_.jtahb, "TAHB", 2, 2, 2, 1000, &artelink_.jtahd,
    "tain taout");
  dfzebf_("2I");
  dfat0i ("channel");
  dfat0i ("dt");
 
/* TAHD Tracker Alignment&Cal Header */
 
  dftabl (&artelink_.jtahd, "TAHD", 2, 5, 5, 0,
    "tain taout");
  dfzebf_("5I");
  dfat0i ("evt");
  dfat0i ("run");
  dfat0i ("exp");
  dfat0i ("dbmajor");
  dfat0i ("dbminor");
 
/* TATR tracks or seeds */
 
  dftabs (&artelink_.jtatr, "TATR", 2, 12, 12, 200, &artelink_.jtahd,
    "tain taout");
  dfzebf_("1I1F2I1F2I5F");
  dfat0i ("who");
  dfat0f ("chi");
  dfat0i ("cmp");
  dfat0i ("fit");
  dfat0f ("p");
  dfat0i ("tahb1");
  dfat0i ("tahbl");
  dfat0f ("x");
  dfat0f ("y");
  dfat0f ("tx");
  dfat0f ("ty");
  dfat0f ("z");
 
/* TDEC Table of Particle decays */
 
  dftabs (&artelink_.jtdec, "TDEC", 1, 10, 9, 2000, &artelink_.jtopp,
    "geom");
  dfzebf_("8I1F");
  dfat0i ("moth");
  dfat0i ("daug");
  dfat0i ("daug");
  dfat0i ("daug");
  dfat0i ("daug");
  dfat0i ("daug");
  dfat0i ("mdme");
  dfat0i ("mdme");
  dfat0f ("brat");
  dfattp ("next",&artelink_.jtdec);
 
/* TEMP temporary working space */
 
  dftabl (&artelink_.jtemp, "TEMP", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP0 temporary working space */
 
  dftabl (&artelink_.jtmp0, "TMP0", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP1 temporary working space */
 
  dftabl (&artelink_.jtmp1, "TMP1", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP2 temporary working space */
 
  dftabl (&artelink_.jtmp2, "TMP2", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP3 temporary working space */
 
  dftabl (&artelink_.jtmp3, "TMP3", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP4 temporary working space */
 
  dftabl (&artelink_.jtmp4, "TMP4", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP5 temporary working space */
 
  dftabl (&artelink_.jtmp5, "TMP5", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP6 temporary working space */
 
  dftabl (&artelink_.jtmp6, "TMP6", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP7 temporary working space */
 
  dftabl (&artelink_.jtmp7, "TMP7", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP8 temporary working space */
 
  dftabl (&artelink_.jtmp8, "TMP8", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TMP9 temporary working space */
 
  dftabl (&artelink_.jtmp9, "TMP9", 2, 1, 1, 0,
    "/input/output");
  dfzebf_("1I");
  dfat0i ("temp");
 
/* TOPP Table of Particle Properties */
 
  dftabl (&artelink_.jtopp, "TOPP", 1, 16, 13, 800,
    "geom");
  dfzebf_("3H4F6I");
  dfatth ("name",3);
  dfat0f ("mass");
  dfat0f ("wid");
  dfat0f ("trbw");
  dfat0f ("life");
  dfat0i ("chrg");
  dfat0i ("colo");
  dfat0i ("deca");
  dfat0i ("lund");
  dfat0i ("gean");
  dfattp ("anti",&artelink_.jtopp);
  dfattp ("tdec",&artelink_.jtdec);
  dfattr ("mtra");
  dfattr ("rtra");
 
/* XTRA L2Simu track output */
 
  dftabs (&artelink_.jxtra, "XTRA", 2, 29, 29, 1, &artelink_.jevhd,
    "dst mini");
  dfzebf_("3I10F2I6F2I6F");
  dfat0i ("itra");
  dfat0i ("flag");
  dfat0i ("nlay");
  dfat0f ("flt2");
  dfat0f ("flt2");
  dfat0f ("flt2");
  dfat0f ("flt2");
  dfat0f ("flt2");
  dfat0f ("flt1");
  dfat0f ("flt1");
  dfat0f ("flt1");
  dfat0f ("flt1");
  dfat0f ("flt1");
  dfat0i ("nhix");
  dfat0i ("nhox");
  dfat0f ("slox");
  dfat0f ("intx");
  dfat0f ("covx");
  dfat0f ("covx");
  dfat0f ("covx");
  dfat0f ("chix");
  dfat0i ("nhiy");
  dfat0i ("nhoy");
  dfat0f ("sloy");
  dfat0f ("inty");
  dfat0f ("covy");
  dfat0f ("covy");
  dfat0f ("covy");
  dfat0f ("chiy");
 
/* XTRI L2Simu trigger output */
 
  dftabs (&artelink_.jxtri, "XTRI", 2, 8, 8, 1, &artelink_.jevhd,
    "dst mini");
  dfzebf_("8I");
  dfat0i ("bx");
  dfat0i ("itri");
  dfat0i ("type");
  dfat0i ("flag");
  dfat0i ("step");
  dfat0i ("ntra");
  dfat0i ("tra");
  dfat0i ("tra");
 
/* YTRA L1 output track candidate */
 
  dftabs (&artelink_.jytra, "YTRA", 2, 16, 16, 1, &artelink_.jevhd,
    "dst mini");
  dfzebf_("1I1H3F1I7F3I");
  dfat0i ("bx");
  dfatth ("id",1);
  dfat0f ("e");
  dfat0f ("pxpz");
  dfat0f ("pypz");
  dfat0i ("chrg");
  dfat0f ("xtc2");
  dfat0f ("sx2");
  dfat0f ("ytc2");
  dfat0f ("ztc2");
  dfat0f ("xpc1");
  dfat0f ("sx1");
  dfat0f ("zpc1");
  dfat0i ("msg");
  dfat0i ("msg");
  dfat0i ("msg");
 
/* YTRI L1 trigger message */
 
  dftabs (&artelink_.jytri, "YTRI", 2, 8, 8, 1, &artelink_.jevhd,
    "dst mini");
  dfzebf_("1I2H2I1F2I");
  dfat0i ("bx");
  dfatth ("id",2);
  dfat0i ("tra1");
  dfat0i ("tra2");
  dfat0f ("mass");
  dfat0i ("msg");
  dfat0i ("msg");

/* relations */

  dfrela (&artelink_.jhidi, "HIDI", 2,
    &artelink_.jdigb, 3, &artelink_.jhitb, 11, 2);
  dfrela (&artelink_.jmidi, "MIDI", 2,
    &artelink_.jdigb, 4, &artelink_.jmimp, 11, 4);
  dfrela (&artelink_.jgsgc, "GSGC", 1,
    &artelink_.jgcal, 15, &artelink_.jgesl, 22, 2);
  dfrela (&artelink_.jgmgc, "GMGC", 1,
    &artelink_.jgcal, 16, &artelink_.jgmat, 14, 2);
  dfrela (&artelink_.jgsgd, "GSGD", 1,
    &artelink_.jgede, 44, &artelink_.jgesl, 21, 2);
  dfrela (&artelink_.jgmgd, "GMGD", 1,
    &artelink_.jgede, 45, &artelink_.jgmat, 13, 2);
  dfrela (&artelink_.jgsgw, "GSGW", 1,
    &artelink_.jgwal, 22, &artelink_.jgesl, 23, 2);
  dfrela (&artelink_.jgmgw, "GMGW", 1,
    &artelink_.jgwal, 23, &artelink_.jgmat, 15, 2);
  dfrela (&artelink_.jrthi, "RTHI", 2,
    &artelink_.jhitb, 7, &artelink_.jrtra, 65, 4);
  dfrela (&artelink_.jmihi, "MIHI", 2,
    &artelink_.jhitb, 8, &artelink_.jmimp, 12, 4);
  dfrela (&artelink_.jrshi, "RSHI", 2,
    &artelink_.jhitb, 9, &artelink_.jrseg, 55, 4);
  dfrela (&artelink_.jrthc, "RTHC", 2,
    &artelink_.jhitc, 7, &artelink_.jrtra, 66, 4);
  dfrela (&artelink_.jmchc, "MCHC", 2,
    &artelink_.jhitc, 8, &artelink_.jmcal, 4, 4);
  dfrela (&artelink_.jrchc, "RCHC", 2,
    &artelink_.jhitc, 9, &artelink_.jrccl, 34, 4);
  dfrela (&artelink_.jmtmc, "MTMC", 2,
    &artelink_.jmcal, 3, &artelink_.jmtra, 17, 2);
  dfrela (&artelink_.jmvme, "MVME", 2,
    &artelink_.jmcme, 7, &artelink_.jmver, 7, 1);
  dfrela (&artelink_.jmtmi, "MTMI", 2,
    &artelink_.jmimp, 9, &artelink_.jmtra, 16, 2);
  dfrela (&artelink_.jmtmp, "MTMP", 2,
    &artelink_.jmtcp, 7, &artelink_.jmtra, 19, 1);
  dfrela (&artelink_.jmtto, "MTTO", 2,
    &artelink_.jmtra, 6, &artelink_.jtopp, 15, 2);
  dfrela (&artelink_.jrtmt, "RTMT", 2,
    &artelink_.jmtra, 8, &artelink_.jrtra, 68, 4);
  dfrela (&artelink_.jrcmt, "RCMT", 2,
    &artelink_.jmtra, 9, &artelink_.jrccl, 35, 4);
  dfrela (&artelink_.jmvmt, "MVMT", 2,
    &artelink_.jmtra, 12, &artelink_.jmver, 6, 2);
  dfrela (&artelink_.jmtmt, "MTMT", 2,
    &artelink_.jmtra, 13, &artelink_.jmtra, 14, 2);
  dfrela (&artelink_.jmtmv, "MTMV", 2,
    &artelink_.jmver, 5, &artelink_.jmtra, 15, 2);
  dfrela (&artelink_.jnsnc, "NSNC", 1,
    &artelink_.jncal, 15, &artelink_.jnesl, 21, 2);
  dfrela (&artelink_.jgmnc, "GMNC", 1,
    &artelink_.jncal, 16, &artelink_.jgmat, 17, 2);
  dfrela (&artelink_.jnsnd, "NSND", 1,
    &artelink_.jnede, 44, &artelink_.jnesl, 20, 2);
  dfrela (&artelink_.jgmnd, "GMND", 1,
    &artelink_.jnede, 45, &artelink_.jgmat, 16, 2);
  dfrela (&artelink_.jnsnw, "NSNW", 1,
    &artelink_.jnwal, 22, &artelink_.jnesl, 22, 2);
  dfrela (&artelink_.jgmnw, "GMNW", 1,
    &artelink_.jnwal, 23, &artelink_.jgmat, 18, 2);
  dfrela (&artelink_.jgdom, "GDOM", 1,
    &artelink_.jotmo, 5, &artelink_.jgede, 73, 1);
  dfrela (&artelink_.jpxaf, "PXAF", 1,
    &artelink_.jptad, 6, &artelink_.jptfd, 37, 2);
  dfrela (&artelink_.jpxgm, "PXGM", 1,
    &artelink_.jptal, 14, &artelink_.jptmd, 37, 2);
  dfrela (&artelink_.jpxga, "PXGA", 1,
    &artelink_.jptal, 15, &artelink_.jptge, 71, 2);
  dfrela (&artelink_.jpxgc, "PXGC", 1,
    &artelink_.jptce, 3, &artelink_.jptge, 70, 2);
  dfrela (&artelink_.jpxcc, "PXCC", 1,
    &artelink_.jptce, 4, &artelink_.jptch, 3, 1);
  dfrela (&artelink_.jpxca, "PXCA", 1,
    &artelink_.jptch, 2, &artelink_.jptad, 7, 2);
  dfrela (&artelink_.jpxcm, "PXCM", 1,
    &artelink_.jptcr, 36, &artelink_.jptmd, 36, 2);
  dfrela (&artelink_.jpxfc, "PXFC", 1,
    &artelink_.jptfd, 36, &artelink_.jptcr, 37, 2);
  dfrela (&artelink_.jrtrc, "RTRC", 2,
    &artelink_.jrccl, 33, &artelink_.jrtra, 70, 4);
  dfrela (&artelink_.jhirh, "HIRH", 2,
    &artelink_.jrhit, 8, &artelink_.jhitb, 12, 2);
  dfrela (&artelink_.jrsrh, "RSRH", 2,
    &artelink_.jrhit, 9, &artelink_.jrseg, 57, 2);
  dfrela (&artelink_.jrtrp, "RTRP", 2,
    &artelink_.jrpnt, 22, &artelink_.jrtra, 67, 4);
  dfrela (&artelink_.jrsrp, "RSRP", 2,
    &artelink_.jrpnt, 23, &artelink_.jrseg, 56, 2);
  dfrela (&artelink_.jrrrt, "RRRT", 2,
    &artelink_.jrrel, 4, &artelink_.jrtra, 64, 2);
  dfrela (&artelink_.jrrrv, "RRRV", 2,
    &artelink_.jrrel, 5, &artelink_.jrver, 16, 2);
  dfrela (&artelink_.jrtrs, "RTRS", 2,
    &artelink_.jrseg, 48, &artelink_.jrtra, 69, 4);
  dfrela (&artelink_.jrsrs, "RSRS", 2,
    &artelink_.jrseg, 49, &artelink_.jrseg, 58, 4);
  dfrela (&artelink_.jrcrs, "RCRS", 2,
    &artelink_.jrseg, 51, &artelink_.jrccl, 36, 4);
  dfrela (&artelink_.jmtrs, "MTRS", 2,
    &artelink_.jrseg, 52, &artelink_.jmtra, 18, 4);
  dfrela (&artelink_.jrtto, "RTTO", 2,
    &artelink_.jrtra, 37, &artelink_.jtopp, 16, 2);
  dfrela (&artelink_.jrvrt, "RVRT", 2,
    &artelink_.jrver, 13, &artelink_.jrtra, 63, 1);
  dfrela (&artelink_.jspsh, "SPSH", 2,
    &artelink_.jshpr, 2, &artelink_.jstpr, 3, 2);
  dfrela (&artelink_.jsrsh, "SRSH", 2,
    &artelink_.jshrc, 19, &artelink_.jstrc, 25, 2);
  dfrela (&artelink_.jsbsn, "SBSN", 1,
    &artelink_.jsnab, 2, &artelink_.jsnav, 5, 2);
  dfrela (&artelink_.jsnsn, "SNSN", 1,
    &artelink_.jsnax, 2, &artelink_.jsnav, 4, 2);
  dfrela (&artelink_.jspss, "SPSS", 1,
    &artelink_.jssee, 5, &artelink_.jspas, 1, 2);

}
#ifdef __cplusplus
}
#endif
