#include "arte/arte.hh"
#include "grover/grover.hh"

//
// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
//
//

int GroverFillFromRTRA(GroverParticleList* gpl)
{
  int errorflag = 0;
  for (ArteTable<RTRA>::iterator irtra = ArteTable<RTRA>::begin();
       irtra != ArteTable<RTRA>::end(); ++irtra) {
    if (irtra->hsi > 0) { // particles without VDS hits are ignored
      GroverParticle temp(irtra);
      gpl->push_back(temp);
    }
  }
  if (gpl->empty()) errorflag = -1;
  return errorflag;
}
