#include "TFile.h"
#include "grover/grover.hh"

//
// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
//
//

void GroverStop(void) 
{

  // Deal with ROOT file if necessary
  if (GroverOutputFile != 0) {
    if (!GroverOutputFile->IsOpen())
      cout << "*** GroverStop: WARNING - ROOT file already closed" << endl;
    else {
      GroverOutputFile->Write();
      GroverOutputFile->Close();
      cout << "*** GroverStop: Successfully wrote ROOT file" << endl;   
    }
  }

}
