*CMZ :  1.00/00 02/12/94  19.10.02  by  Dominik Ressing
*CMZ :  0.01/02 12/08/94  12.48.23  by  Dominik Ressing
*-- Author :    Dominik Ressing   28/07/94
************************************************************************
*
* L1DETSL
* written by Dominik Ressing, 28/07/94 19.05.59
*
* This routines action:
* returns the detector superlayer number for the
* specified detector or zero if non-existant.
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* iHoDe       in          Hollerith descriptor for detector
*
*
************************************************************************
c
      INTEGER FUNCTION L1DETSL(iHoDe)
c
      IMPLICIT NONE
c
#include "gean/gcbank.fi"
#include "l1si/l1param.fi"
#include "l1si/l1clink.fi"
#include "l1si/l1detuse.fi"
c
      INTEGER iHoDe,isl,idet
c
      CALL UHTOC(iHoDe,4,idet,4) ! convert Hollerith name to Character
c
      DO isl=1,l1nDetUsed
        IF (IQ(L1JDET+isl).EQ.idet) 	THEN
          L1DETSL = isl
          RETURN
        ENDIF
      ENDDO
c
      L1DETSL = 0
c
      RETURN
c
      END
