*
*  B.Fominykh  22.05.2000
*  the program of MuonID package
*  calculates the likelihood probability overlap between branchs
*  input:  IPR  - print control
*
      SUBROUTINE MURLHOV(IPR)
C-    =======================
      IMPLICIT NONE
#include "murec/MUCBTAB.fi"
#include "murec/MUCBPAR.fi"
      INTEGER I,IB1,JB1,I1,I2,IB2,JB2,IPR,NB1,NB2,NBC
      REAL LHP1,LHP2,D1,D2,DD
      INTEGER NBRMX,NBR
      PARAMETER (NBRMX=250)
      INTEGER IBR(NBRMX)
      REAL FACTOR(NBRMX)
#include "arte/Arte.fi"
#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      IF(IQ(JTMP7+2).LT.2) RETURN
* 
      NBR=0
      DO I=1,NBRMX
        FACTOR(I)=1.
      ENDDO
* loops over couples of branches
      DO 200 IB1=1,IQ(JTMP7+2)-1
        JB1=JTMP7+IQ(JTMP7+1)*(IB1-1)+2
        IF(IQ(JB1+1).NE.2) GOTO 200
        LHP1=Q(JB1+47)
        IF(LHP1.LT.0.01) GOTO 200
* check if it is in the list
        IF(NBR.GT.0) THEN
          DO I=1,NBR
            IF(IBR(I).EQ.IB1) THEN
              I1=I
              GOTO 50
            ENDIF
          ENDDO
        ENDIF
* increase the size
        IF(NBR.GE.NBRMX) GOTO 200
        NBR=NBR+1
        IBR(NBR)=IB1
        I1=NBR 
 50     CONTINUE
        DO 100 IB2=IB1,IQ(JTMP7+2)
          JB2=JTMP7+IQ(JTMP7+1)*(IB2-1)+2
          IF(IQ(JB2+1).NE.2) GOTO 100
          LHP2=Q(JB2+47)
          IF(LHP2.LT.0.01) GOTO 100
* check if it is in the list
          IF(NBR.GT.0) THEN
            DO I=1,NBR
              IF(IBR(I).EQ.IB2) THEN
                I2=I
                GOTO 150
              ENDIF
            ENDDO
          ENDIF
* increase the size
          IF(NBR.GE.NBRMX) GOTO 100
          NBR=NBR+1
          IBR(NBR)=IB2
          I2=NBR 
 150      CONTINUE
*
          CALL MURBRBR(IB1,IB2,0,NB1,NB2,NBC)
          IF(NBC.GT.0) THEN
            D1=0.
            IF(NB1.GT.0) D1=LHP1*FLOAT(NB1-NBC)/FLOAT(NB1)
            D2=0.
            IF(NB2.GT.0) D2=LHP2*FLOAT(NB2-NBC)/FLOAT(NB2)
            DD=D1+D2
            IF(DD.GT.1.E-5) THEN
              FACTOR(I1)=FACTOR(I1)*D1/DD
              FACTOR(I2)=FACTOR(I2)*D2/DD
            ENDIF
*            IF(IPR.GT.1) THEN
*              PRINT 1002,IB1,I1,IB2,I2,NB1,NB2,NBC,LHP1,LHP2,D1,D2,
*     +                   DD,FACTOR(IB1),FACTOR(IB2)
* 1002         FORMAT(2X,'br1',2I3,' br2 ',2I3,' Nhit ',3I3,
*     +        ' lhp ',2F6.3,' D1,D2,DD ',3F6.3,' factors ',2F6.3)
*            ENDIF
          ENDIF
 100    CONTINUE
 200  CONTINUE
*
* update the likelihood probability
*
      DO IB1=1,IQ(JTMP7+2)
        JB1=JTMP7+IQ(JTMP7+1)*(IB1-1)+2
        IF(IQ(JB1+1).EQ.2) Q(JB1+44)=Q(JB1+47)
      ENDDO
*
      IF(NBR.GT.0) THEN
        DO I1=1,NBR
          IB1=IBR(I1)
          JB1=JTMP7+IQ(JTMP7+1)*(IB1-1)+2
          Q(JB1+44)=Q(JB1+47)*FACTOR(I1)

          IF(IPR.GT.0) THEN
            PRINT 1001,IB1,I1,Q(JB1+47),FACTOR(I1),Q(JB1+44)
 1001       FORMAT(2X,'br',2I4,' lhp ',F6.3,' factor ',F6.3,
     +              ' lhpov ',F6.3)
          ENDIF
        ENDDO
      ENDIF
*
 999  CONTINUE
      RETURN
      END




