*-- Author :    Rainer Mankel   06/10/93

      subroutine dipaty(icode,cname,convent)

*     **** give name of particle
      implicit none

      integer icode, ipart, ii
      character*(*) cname
      character*(*) convent

*     **** this table is taken from geacon/gktran
      integer itrack
      DIMENSION ITRACK(100)
      integer ngeamx
      parameter (ngeamx=49)
      character*20 cgeant(ngeamx)

      DATA ITRACK/ 10, 22, 23, 28, 24, 25,  2,  1,  3, 21,
     +              4,  6, 33, 29, 30, 20,  8, 83, 79, 81,
     +             85, 87, 89,175, 34, 84, 80, 82, 86, 88,
     +             90,176, 26, 27, 61, 62, 63, 64, 65, 66,
     +             97,221,223,222,301,302,303,  0, 73,  0,
     +             56, 57, 58, 59,189,190,252,253,254, 67,
     +             68, 69, 70, 71, 72,271,272,273,275,274,
     +            276,277,261,265,269, 11, 12, 13, 18, 19,
     +              9, 14, 15, 16, 17, 54,  0,  0,  0,  0,
     +            137,145,151,165, 91,155,131,161,135,  0/

      data cgeant /
     + 'gamma','e+','e-','nu','mu+','mu-','pi0','pi+','pi-','K0L',
     + 'K+','K-','n','p','p=','K0S','eta','Lambda','Sigma+','Sigma0',
     + 'Sigma-','Xi0','Xi-','Omega-','n=','Lambda=','Sigma=-','Sigma=0',
     + 'Sigma=+','Xi=0',
     + 'Xi=+','Omega=+','tau+','tau-','D+','D-','D0','D0=','Ds+','Ds-',
     + 'Lambda_c+','W+','W-','Z0','d','Triton','alpha','geantino','He3'/

*     **** convert back to geant code
      ipart = 0
      cname = ' '

      if (convent.eq.'A') then
*      **** input is argus convention
       do 10 ii=1,100
        if (itrack(ii).eq.icode) then
         ipart = ii
         go to 11
        endif
 10    continue
 11    continue
      elseif (convent.eq.'G') then
*      **** input is geant convention, no conversion needed
       ipart = icode
      else
*      **** unknown convention
       print *,' () dipaty: invalid convention:', convent
       stop 'dipaty'
      endif

      if (ipart.gt.0.and.ipart.le.ngeamx) then
       cname = cgeant(ipart)
      else
       cname = ' '
      endif

      end
